Bug 89588 - __sync_bool_compare_and_swap returns the wrong type
Summary: __sync_bool_compare_and_swap returns the wrong type
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://gcc.gnu.org/ml/gcc/2003-04/msg...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 17:30 UTC by hjl
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 23:54:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (2.59 KB, patch)
2003-04-24 17:32 UTC, hjl
no flags Details | Diff
A patch for gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-1) (2.94 KB, patch)
2003-04-24 19:33 UTC, hjl
no flags Details | Diff
A followup patch (3.17 KB, patch)
2003-04-28 21:00 UTC, hjl
no flags Details | Diff
A testcase patch (721 bytes, patch)
2003-04-28 21:19 UTC, hjl
no flags Details | Diff

Description hjl 2003-04-24 17:30:30 UTC
See URL. A patch is checked into in mainline:

http://gcc.gnu.org/ml/gcc-patches/2003-04/msg01884.html

Comment 1 hjl 2003-04-24 17:32:04 UTC
Created attachment 91278 [details]
A patch

This is the patch I checked into mainline.

Comment 2 hjl 2003-04-24 19:33:50 UTC
Created attachment 91282 [details]
A patch for gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-1)

My patch for mainline won't apply cleanly on Red Hat gcc.
This one should be ok.

Comment 3 hjl 2003-04-28 21:00:19 UTC
Created attachment 91361 [details]
A followup patch

My last patch was incomplete. This followup patch is
needed.

Comment 4 hjl 2003-04-28 21:19:03 UTC
Created attachment 91370 [details]
A testcase patch

Comment 5 Richard Henderson 2004-10-05 23:54:31 UTC
Patch present on gcc-3.3-rh branch.


Note You need to log in before you can comment on or make changes to this bug.